Announcement - 2018-9-18,17:59:04


#1

@everyone New wallet release - required for anybody using XBridge or Block DX.

This update is to improve trader and Service Node order handling and performance. It involves an XBridge protocol bump, so any orders placed with the old wallet will not be visible using this wallet update. Orders will need to be re-placed after upgrading.